Package org.springframework.security.web.util

# Interface ThrowableCauseExtractor

public interface ThrowableCauseExtractor
Interface for handlers extracting the cause out of a specific `Throwable` type.

Since:
  2.0
See Also:
  - `ThrowableAnalyzer`

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`extractCause(Throwable throwable)`
Extracts the cause from the provided `Throwable`.

## Method Details

### extractCause

Throwable extractCause(Throwable throwable)
Extracts the cause from the provided `Throwable`.

Parameters:
  `throwable` - the `Throwable`
Returns:
  the extracted cause (maybe `null`)
Throws:
  `IllegalArgumentException` - if `throwable` is `null` or otherwise considered invalid for the implementation